#include <math.h>

#include "api3d.h"
#include "factors.h"
#include "procedural_shaders.h"
#include "procedural_helpers.h"
#include "reprojection.h"
#include "prng.h"

#include "api3d_bl.c"

float4
cosine( __global global_buffers * g, VS_OUTPUT * in, float2 offset, __global float * c )
{
    axis_align_widths( &( in->dwdx ), &( in->dwdy ) );
    float rx = cos( in->objPos.x );

    return makef4_f( rx * 0.5f + 0.5f );
}

