#include <math.h>

#include "api3d.h"
#include "factors.h"
#include "procedural_shaders.h"
#include "procedural_helpers.h"
#include "reprojection.h"
#include "prng.h"

#include "api3d_bl.c"

/* Frame order:
 *   FILTER_MODE_NONE
 */
float4
ridges( __global global_buffers * g, VS_OUTPUT * in, float2 offset, __global float * c )
{
    axis_align_widths( &( in->dwdx ), &( in->dwdy ) );
    return makef4_f( fract_f( in->objPos.x ) );
}
